kr.co.hanwha.hifive.screen.search

## Interface SearchContract.View

- All Superinterfaces:
    BaseView<SearchContract.Presenter>
  All Known Implementing Classes:
    SearchActivity
  Enclosing interface:
    SearchContract

      public static interface SearchContract.View
      extends BaseView<SearchContract.Presenter>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setProjectKeyword(java.util.ArrayList<java.lang.String> list)` All tag
    `void` | `setRecentKeyword(java.util.ArrayList<java.lang.String> list)` 최근 검색어
    `void` | `setSearchResult(int count)`

    - ### Methods inherited from interface kr.co.hanwha.hifive.base.BaseView

      `showAlert, showAlert, showAlert, showAlert, showAlert, showAlert, showLoadingDialog, showToast, showToastAlert, showToastConfirm, showToastEmpty, showToastImpossible`

- - ### Method Detail

    - #### setRecentKeyword

          void setRecentKeyword(java.util.ArrayList<java.lang.String> list)

      최근 검색어
      Parameters:
        `list` -

    - #### setProjectKeyword

          void setProjectKeyword(java.util.ArrayList<java.lang.String> list)

      All tag
      Parameters:
        `list` -

    - #### setSearchResult

          void setSearchResult(int count)